{
  "variants": {
    "facing=east,part=foot": {
      "model": "minecraft:block/red_bed_foot-e"
    },
    "facing=east,part=head": {
      "model": "minecraft:block/red_bed_head-e"
    },
    "facing=north,part=foot": {
      "model": "minecraft:block/red_bed_foot-n"
    },
    "facing=north,part=head": {
      "model": "minecraft:block/red_bed_head-n"
    },
    "facing=south,part=foot": {
      "model": "minecraft:block/red_bed_foot-s"
    },
    "facing=south,part=head": {
      "model": "minecraft:block/red_bed_head-s"
    },
    "facing=west,part=foot": {
      "model": "minecraft:block/red_bed_foot-w"
    },
    "facing=west,part=head": {
      "model": "minecraft:block/red_bed_head-w"
    }
  }
}